Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157774 - gnome-sound-recorder: hangs on record
Summary: gnome-sound-recorder: hangs on record
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-15 06:41 UTC by Jack Spaar
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 21:04:55 UTC


Attachments (Terms of Use)
output of: gnome-sound-recorder --gst-debug-level=3 --gst-debug-no-color (deleted)
2005-05-15 06:41 UTC, Jack Spaar
no flags Details

Description Jack Spaar 2005-05-15 06:41:13 UTC
Description of problem:
gnome-sound-recorder hangs when starting to record.

If Voice quality has been chosen, an error dialog will appear with the message:
    Could not get/set settings from/on resource.
After pressing Close on the dlg, g-s-r will hang.

Version-Release number of selected component (if applicable):
gnome-media-2.10.2-1

How reproducible:
always

Steps to Reproduce:
1. Start gnome-sound-recorder
2. Choose Voice quality
3. Press record.
  
Actual results:
Hangs after err dialog if Voice quality selected.
[Hangs without any error dialog if other quality is selected.]

Expected results:


Additional info:
$ rpm -qa | grep gst
gstreamer-tools-0.8.10-1
gstreamer-0.8.10-1
gstreamer-plugins-0.8.8-6

$ rpm -qa | grep alsa
alsa-utils-1.0.9rc2-1
alsa-lib-1.0.9rc2-4
alsa-lib-devel-1.0.9rc2-4

Hardware is onboard (from lspci -v):
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
        Subsystem: ASUSTeK Computer Inc. CMI8738 6ch-MX
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 9
        I/O ports at d000 [size=256]
        Capabilities: [c0] Power Management version 2

Comment 1 Jack Spaar 2005-05-15 06:41:13 UTC
Created attachment 114392 [details]
output of: gnome-sound-recorder  --gst-debug-level=3 --gst-debug-no-color

Comment 2 John (J5) Palmieri 2005-05-16 21:04:55 UTC
gnome-sound-recorder hasn't worked for some time.  I am going to remove it from
the package.  Please file this upstream.  Once we get a working g-s-r from
upstream I will reenable it.


Note You need to log in before you can comment on or make changes to this bug.